package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 课程目标查询结果
 * @Author: CaoZixuan
 * @Date: 2024-02-28
 */
public class ObeCourseTargetResult {

    @ApiModelProperty("课程目标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("课程目标名称")
    private String targetName;

    @ApiModelProperty("预期值")
    private Double expectValue;

    @ApiModelProperty("内容")
    private String degreeRequirement;

    @ApiModelProperty("指标点id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long obeCultureProgramRequirementId;

    @ApiModelProperty("指标点名称")
    private String obeCultureProgramRequirementName;

    @ApiModelProperty("指标点内容")
    private String obeCultureProgramRequirementContent;

    @ApiModelProperty("目标整体权重")
    private BigDecimal totalWeight;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public Double getExpectValue() {
        return expectValue;
    }

    public void setExpectValue(Double expectValue) {
        this.expectValue = expectValue;
    }

    public String getDegreeRequirement() {
        return degreeRequirement;
    }

    public void setDegreeRequirement(String degreeRequirement) {
        this.degreeRequirement = degreeRequirement;
    }

    public Long getObeCultureProgramRequirementId() {
        return obeCultureProgramRequirementId;
    }

    public void setObeCultureProgramRequirementId(Long obeCultureProgramRequirementId) {
        this.obeCultureProgramRequirementId = obeCultureProgramRequirementId;
    }

    public String getObeCultureProgramRequirementName() {
        return obeCultureProgramRequirementName;
    }

    public void setObeCultureProgramRequirementName(String obeCultureProgramRequirementName) {
        this.obeCultureProgramRequirementName = obeCultureProgramRequirementName;
    }

    public String getObeCultureProgramRequirementContent() {
        return obeCultureProgramRequirementContent;
    }

    public void setObeCultureProgramRequirementContent(String obeCultureProgramRequirementContent) {
        this.obeCultureProgramRequirementContent = obeCultureProgramRequirementContent;
    }

    public BigDecimal getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(BigDecimal totalWeight) {
        this.totalWeight = totalWeight;
    }
}
